// file changed
package p00003.s912716708;


import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.Arrays;

public class Main {

	/** YES:??´?§?????§???¢??§?????? */
	private static final String RIGHT_TRIANGLE = "YES";

	/** NO:??´?§?????§???¢??§????????? */
	private static final String NOT_RIGHT_TRIANGLE = "NO";

	/**
	 * AOJ Is it a Right Triangle?
	 *
	 * @param args
	 * @throws IOException
	 *             ??\?????¨??????
	 */
	public static void main(String[] args) throws IOException {
		BufferedReader bufferedreader = new BufferedReader(
				new InputStreamReader(System.in));

		int numsofdatasets = Integer.parseInt(bufferedreader.readLine());

		for (int i = 0; i < numsofdatasets; i++) {
			String[] triangle = bufferedreader.readLine().split("\\s");

			int[] sides = getIntArray(triangle);
			if (isRightTriangle(sides)) {
				System.out.println(RIGHT_TRIANGLE);
			} else {
				System.out.println(NOT_RIGHT_TRIANGLE);
			}
		}

		bufferedreader.close();
	}

	/**
	 * 3???????????????????????´?§?????§???¢????????????????????????
	 *
	 * @param triangle
	 * @return
	 */
	private static boolean isRightTriangle(int[] sides) {

		Arrays.sort(sides);
		if (calcSumPower(sides[0], sides[1]) == calcPower(sides[2])) {
			return true;
		}
		return false;
	}

	/**
	 * String????????????int?????????????????????????????´??????
	 *
	 * @param strarray
	 *            String?????????
	 * @return int?????????
	 */
	private static int[] getIntArray(String[] strarray) {
		int[] intarray = new int[3];
		for (int i = 0; i < 3; i++) {
			intarray[i] = Integer.parseInt(strarray[i]);
		}
		return intarray;
	}

	/**
	 * ?????°???????????????????????´??????
	 *
	 * @param n
	 *            ???????????????
	 * @return ?????°??????????????????
	 */
	private static int calcPower(int n) {
		return n * n;
	}

	/**
	 * ????????°??????????????????????????´??????
	 *
	 * @param n
	 *            ??´??°1
	 * @param m
	 *            ??´??°2
	 * @return ????????°??????????????????
	 */
	private static int calcSumPower(int n, int m) {
		return calcPower(n) + calcPower(m);
	}

}