// file changed
package p00005.s548881620;


import java.util.Scanner;

public class Main {
	public static void main(String[] args){
		Scanner stdin = new Scanner(System.in);

		while(stdin.hasNext()){
			long numa = stdin.nextLong();
			long numb = stdin.nextLong();
			long gcd = getGCD(numa,numb);				//最大公約数
			long lcm = getLCM(numa,numb);				//最小公倍数
			System.out.println(gcd + " " + lcm);
		}
	}

	//++++++++++++++++++++++++++++++++++++++++++++++++++
	//最大公約数(GCD)取得メソッド
	//++++++++++++++++++++++++++++++++++++++++++++++++++
	public static long getGCD(long numa,long numb){
		//以下、ユークリッドの互除法
		if(numa > numb){
			long temp = numa;
			numa = numb;
			numb = temp;
		}
		long r;
		while(0 != numb){
			r = numa % numb;
			numa = numb;
			numb = r;
		}
		long gcd = numa;

		return gcd;
	}

	//++++++++++++++++++++++++++++++++++++++++++++++++++
	//最小公倍数(LCM)取得メソッド
	//++++++++++++++++++++++++++++++++++++++++++++++++++
	public static long getLCM(long numa,long numb){
		long lcm = 0L;
		lcm = numa / getGCD(numa,numb) * numb;
		return lcm;
	}
}