// file changed
package p00005.s718131722;



import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.Arrays;

public class Main {

    public static void main(String[] args) throws IOException {
        String str;
        BufferedReader breader = new BufferedReader(new InputStreamReader(System.in));
        while ((str = breader.readLine()) != null) {
            String[] editedstr = str.split(" ");
            Arrays.sort(editedstr);
            System.out.println(FindGCD(Long.parseLong(editedstr[0]), Long.parseLong(editedstr[1])) + " " + FindLCM(Long.parseLong(editedstr[0]), Long.parseLong(editedstr[1])));
        }
    }

    public static long FindGCD(long a, long b){
        long r = a % b;
        while (r > 0) {
            a = b;
            b = r;
            r = a % b;
        }
        return b;
    }

    public static long FindLCM(long a, long b) {
        return (a * b) / FindGCD(a, b);
    }
}