// file changed
package p00005.s944509671;


import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.Arrays;

public class Main {

	/** ??\??????????????°????????° */
	private static final int NUMBER_OF_INPUT = 2;

	/** ??\??????????????°????????????????????????????°???? */
	private static final int INDEX_LITTLE = 0;

	/** ??\??????????????°?????????????????????????????§??? */
	private static final int INDEX_GREAT = 1;

	/**
	 * ??????????????????2????????°???????????????????????????2????????°??????????¨????????????°??????????????????
	 *
	 * @param args
	 */
	public static void main(String[] args) throws IOException {

		// ??\?????????????????????????????????
		String line = null;
		BufferedReader reader = new BufferedReader(new InputStreamReader(
				System.in));
		while ((line = reader.readLine()) != null) {

			// ??\?????????????????°????????????????????????
			int[] input = convertStringToIntArray(line);

			// ????¨????????????°???????????????
			Arrays.sort(input);
			int greatestcommondivisor = calculateGreatestCommonDivisor(input);
			int leastcommonmultiplyer = calculateLeastCommonMultiplyer(input, greatestcommondivisor);

			// ?????????????????????
			System.out.print(greatestcommondivisor);
			System.out.print(" ");
			System.out.println(leastcommonmultiplyer);
		}

		if (reader != null) {
			reader.close();
		}
	}

	/**
	 * ????????????????????°????????????????????´??°???????????¨???????????´?????????
	 *
	 * @param line
	 *            ????????????????????°????????????
	 * @return ??´??°?????????
	 */
	protected static int[] convertStringToIntArray(String line) {
		int[] result = new int[NUMBER_OF_INPUT];

		String[] splittedline = line.split(" ");
		for (int i = 0; i < splittedline.length; i++) {
			result[i] = Integer.parseInt(splittedline[i]);
		}

		return result;
	}

	/**
	 * ?????°??§??????????????´??°??????????????§??¬?´???°????????????
	 *
	 * @param input
	 *            ??´??°?????????
	 * @return ?????§??¬?´???°
	 */
	protected static int calculateGreatestCommonDivisor(int[] input) {

		// ??????????????????????????????
		int greater = input[INDEX_GREAT];
		int less = input[INDEX_LITTLE];
		int divisor = greater - less;

		while (divisor != 0) {

			// ??§?????????????????? greater ???????°??????????????????? less ????¨??????????
			if (less >= divisor) {
				greater = less;
				less = divisor;
			} else {
				greater = divisor;
			}
			divisor = greater - less;
		}

		// ??????????????¨????????????????????§??¬?´???°
		return less;
	}

	/**
	 * ?????°??§??????????????´??°????????¨?????§??¬?´???°??????????°???¬?????°????????????
	 *
	 * @param input
	 *            ??´??°?????????
	 * @param greatestcommondivisor
	 * 			  ?????§??¬?´???°
	 *
	 * @return ????°???¬?????°
	 */
	protected static int calculateLeastCommonMultiplyer(int[] input, int greatestcommondivisor) {

		// ????°???¬?????° = ??\??????A ?? ??\??????B / ?????§??¬?´???°
		// ??????????????? int ??????????????????????????????????????????????????????????????¨ int ?????????????¶???????????????§?????????
		int leastcommonmultiplyer = input[INDEX_LITTLE] * (input[INDEX_GREAT]
				/ greatestcommondivisor);
		return leastcommonmultiplyer;

	}

}