// file changed
package p00007.s711229208;


import java.math.BigDecimal;
import java.math.RoundingMode;
import java.util.Scanner;

class Main {
	
	public static BigDecimal INTEREST_RATE = new BigDecimal("0.05");
	
	public static void main(String... args) {
		Scanner scanner = null;
		try {
			scanner = new Scanner(System.in);
			int n = scanner.nextInt();
			BigDecimal basedebt = new BigDecimal(100000);
			BigDecimal debt = calc(basedebt, n);
			System.out.println(debt.intValue());
		} finally {
			scanner.close();
		}
	}
	
	public static BigDecimal calc(BigDecimal debt, int n) {
		if (n <= 0) {
			return debt;
		}
		BigDecimal interest = debt.multiply(INTEREST_RATE);
		BigDecimal afterdebt = debt.add(interest).setScale(-3, RoundingMode.UP);
		return calc(afterdebt, --n);
	}
}