// file changed
package p00011.s682491538;


import java.util.Scanner;

public class Main{

	public static void main(String[] args) {
		Scanner sc = new Scanner(System.in);
		int w = sc.nextInt();
		int n = sc.nextInt();
		int[][] horizontalline = new int[n][2];
		String[] input = null;
		for(int i = 0; i < n; i++){
			input = sc.next().split(",");
			horizontalline[i][0] = Integer.parseInt(input[0]);
			horizontalline[i][1] = Integer.parseInt(input[1]);
		}
		int[] result = solve(w, horizontalline);
		for(int i : result){
			System.out.println(i);
		}
		sc.close();
	}

	public static int[] solve(int numverticallines, int[][] horizontalline){
		//initialize
		int[] n = new int[numverticallines];
		for(int i = 0; i < numverticallines; i++){
			n[i] = i + 1;
		}
		
		//solve
		for(int i = 0; i < horizontalline.length; i++){
			int source = horizontalline[i][0] - 1;
			int target = horizontalline[i][1] - 1;
			int tmp = n[source];
			n[source] = n[target];
			n[target] = tmp;
		}
		return n;
	}
}