// file changed
package p02255.s097153112;


import java.io.InputStream;
import java.util.ArrayList;
import java.util.List;
import java.util.Scanner;

public class Main {

	public static void printArray(List<Integer> array) {
		StringBuilder sb = new StringBuilder();
		sb.append(array.get(0));
		for (int j = 1; j < array.size(); j++) {
			sb.append(" ").append(array.get(j));
		}
		System.out.println(sb.toString());
	}
	public static List<Integer> insertSort (List<Integer> basearray) {
		printArray(basearray);
		for (int i = 1; i < basearray.size(); i++) {
			int key = basearray.get(i);
			int j = i - 1;
			while (j >= 0 && basearray.get(j) > key) {
				basearray.set(j + 1, basearray.get(j));
				j--;
			}
			basearray.set(j + 1, key);
			//System.out.println("Processing array=" + baseArray);
			printArray(basearray);
		}
		return basearray;
	}

	public static void solve (InputStream ins) {
		Scanner sc = new Scanner(ins);
		int num = sc.nextInt();
		List<Integer> basearray = new ArrayList<Integer>();
		for (int i = 0; i  < num; i++) {
			basearray.add(sc.nextInt());
		}
		insertSort(basearray);
	}

	public static void main (String[] args) {
		solve(System.in);
	}
}