// file changed
package p02255.s642128648;



import java.util.Scanner;

/**
 * ZAKIREN第5章
 * @author K.Yamauchi
 *
 */
public class Main {

	/**
	 *
	 * @param args
	 */
	public static void main(String[] args) {

		Scanner scan = new Scanner(System.in); // 入力
		int n = Integer.parseInt(scan.nextLine()); // 要素数

		// ソート対象配列の読み込み
		String[] targetarraystr = scan.nextLine().split(" ");
		int[] targetarray = new int[targetarraystr.length];
		for (int i = 0; i < targetarraystr.length; i++) {
			targetarray[i] = Integer.parseInt(targetarraystr[i]);
		}

		// 読み込み終了
		scan.close();

		for (int k = 0; k < targetarray.length; k++) {
			if (k < targetarray.length - 1) {
				System.out.print(targetarray[k] + " ");
			} else {
				System.out.println(targetarray[k]);
			}
		}

		// ソート呼び出し
		insertionSort(targetarray, n);

	}

	/**
	 * 指定された整数型配列を挿入ソートします。
	 * @param targetarray ソートしたい配列
	 * @param n 要素数
	 * @return 入れ替え回数
	 */
	private static void insertionSort(int[] targetarray, int n) {

		for (int i = 1; i < n; i++) {
			int num = targetarray[i];
			int j = i -1;

			while (j >= 0 && targetarray[j] > num) {
				targetarray[j+1] = targetarray[j];
				j--;
			}
			targetarray[j+1] = num;

			for (int k = 0; k < targetarray.length; k++) {
				if (k < targetarray.length - 1) {
					System.out.print(targetarray[k] + " ");
				} else {
					System.out.println(targetarray[k]);
				}
			}

		}

	}

}

