// file changed
package p02255.s781733317;


import java.io.*;
 
class Main {
    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static StringBuilder out = new StringBuilder();
 
    public static void main(String[] args) throws IOException {
        int n = Integer.parseInt(br.readLine());
        int[] a = new int[n];
        String[] in = br.readLine().split(" ");
        for (int i=0; i<n; i++) a[i] = Integer.parseInt(in[i]);
        trace(a, n);
 
        for(int i=1; i<n; i++) {
            int key = a[i];
            int j=i-1;
            while(j>=0 && a[j]>key) {
                a[j+1] = a[j];
                j--;
            }
            a[j+1] = key;
            trace(a, n);
        }
        System.out.print(out);
    }
     
    static void trace(int a[], int n){
        for (int i=0; i<n; i++){
            if(i>0) out.append(' ');
            out.append(a[i]);
        }
        out.append('\n');
    }
}