// file changed
package p02255.s812403952;


import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
 
public class Main {
    
    public static void main(String[] args)throws IOException {
        BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
        int n = Integer.parseInt(br.readLine());
        int[] array = new int[n];
        String[] strarray = br.readLine().split(" ");
        
        for(int i=0; i<n; i++){
            array[i] = Integer.parseInt(strarray[i]);
        }
        insertionSort(array, n);
    }
    
    public static void insertionSort(int[] a, int n){
        for(int i = 0; i < n; i++){
            int key = a[i];
            int j = i - 1;
            while (j >= 0 && a[j] > key){
                a[j + 1] = a[j];
                j--;
            }
            a[j + 1] = key;
            toArray(a);
        }
    }
    
    public static void toArray(int[] out) {
        StringBuilder sb = new StringBuilder();
        for(int i=0; i < out.length; i++){
            sb.append(out[i]);
            if(i < out.length - 1)
                sb.append(" ");
        }
        System.out.println(sb.toString());
    }
}