package p02259.s548445449;


import java.util.Scanner;

public class Main {
    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);
        int n = sc.nextInt();
        int[] a = new int[n];

        for (int i = 0; i < n; i++)
            a[i] = sc.nextInt();

        int swapCount = 0;
        boolean sorted = false;
        while (!sorted) {
            sorted = true;
            for (int i = n - 1; i >= 1; i--) {
                if (a[i] < a[i - 1]) {
                    swap(a, i-1, i);
                    swapCount++;
                    sorted = false;
                }
            }
        }
        printlnArray(a);
        System.out.println(swapCount);
    }
    
    static void swap(int[] a, int i, int j) {
        int temp = a[i];
        a[i] = a[j];
        a[j] = temp;
    }
    
    private static void printlnArray(int[] a) {
        for (int i = 0; i < a.length - 1; i++) {
            System.out.print(a[i] + " ");
        }
        System.out.println(a[a.length - 1]);
    }
}
