// file changed
package p02259.s987062583;


import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

public class Main {

	public static void main(String[] args) throws IOException {
		BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
		int n = Integer.parseInt(br.readLine());
		String[] strs = br.readLine().split(" ");
		int[] inputdata = new int[n];
		for (int i = 0; i < n; i++) {
			inputdata[i] = Integer.parseInt(strs[i]);
		}
		int swapcnt = bubbleSort(inputdata, n);
		printArray(inputdata);
		System.out.println(swapcnt);

	}

	public static int bubbleSort(int[] a, int n) {
		int swapcnt = 0;
		boolean flag = true;
		while (flag) {
			flag = false;
			for (int i = n - 1; i > 0; i--) {
				if (a[i] < a[i - 1] ) {
					int temp = a[i];
					a[i] = a[i - 1];
					a[i - 1] = temp;
					swapcnt++;
					flag = true;
				}
			}
		}
		return swapcnt;
	}

	public static void printArray(int[] target) {
		StringBuilder sb = new StringBuilder();
		for (int i = 0; i < target.length; i++) {
			sb.append(target[i]);
			if (i < target.length - 1) {
				sb.append(" ");
			}
		}
		System.out.println(sb.toString());
	}
}