// file changed
package p02260.s005393599;


import java.util.*;

public class Main {
    static void swap(int[] a, int i, int j) {
        int tmp = a[i];
        a[i] = a[j];
        a[j] = tmp;
    }

    static int selectionSort(int[] a, int n) {
        int count = 0;
        for(int i = 0; i < n; i++) {
            int minj = i;
            for(int j = i; j < n; j++) {
                if(a[j] < a[minj]) minj = j;
            }
            if(i != minj) {
                swap(a, i, minj);
                count++;
            }
        } 
        return count;
    }

    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);
        int n = sc.nextInt();
        int[] a = new int[n];
        for(int i = 0; i < n; i++) a[i] = sc.nextInt();

        int c = selectionSort(a, n);

        System.out.print(a[0]);
        for(int i = 1; i < n; i++) System.out.print(" " + a[i]);
        System.out.println();
        System.out.println(c);
    }
}
