// file changed
package p02260.s264532319;


import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.StringTokenizer;

public class Main {
	private static FastScanner sc = new FastScanner();

	public static void main(String[] args) {
		int n = sc.nextInt();
		
		int[] a = new int[n];
		for(int i=0; i<n; i++){
			a[i] = sc.nextInt();
		}
		
		int swap = 0;
		for(int i=0; i<n; i++){
			int idx_min = i;
			for(int j=i; j<n; j++){
				if(a[j] < a[idx_min]){
					idx_min = j;
				}
			}
			
			if(idx_min != i){
				int temp = a[i];
				a[i] = a[idx_min];
				a[idx_min] = temp;
				swap++;
			}
		}

		for(int i=0; i<n; i++){
			System.out.print(a[i]);
			if(i != n-1){
				System.out.print(" ");
			}
		}
		System.out.println();
		
		System.out.println(swap);
	}

	static class FastScanner {
        BufferedReader br;
        StringTokenizer st;

        public FastScanner() {
            br = new BufferedReader(new InputStreamReader(System.in));
        }

        String next() {
            while (st == null || !st.hasMoreElements()) {
                try {
                    st = new StringTokenizer(br.readLine());
                } catch (IOException  e) {
                    e.printStackTrace();
                }
            }
            return st.nextToken();
        }

        int nextInt() {
            return Integer.parseInt(next());
        }

        long nextLong() {
            return Long.parseLong(next());
        }

        double nextDouble() {
            return Double.parseDouble(next());
        }

        String nextLine() {
            String str = "";
            try {
                str = br.readLine();
            } catch (IOException e) {
                e.printStackTrace();
            }
            return str;
        }
    }

}