// file changed
package p02260.s270608141;


import java.util.*;
public class Main {
    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);
        StringBuilder bd = new StringBuilder();

        int n = sc.nextInt();
        int[] a = new int[n];
        for (int i=0; i<n; i++) {
            a[i] = sc.nextInt();
        }

        int counter = selectionSort(a, n);
        for (int i=0; i<n-1; i++) {
            System.out.print(a[i] + " ");
        }
        System.out.println(a[n-1]);
        System.out.println(counter);
    }

    public static int selectionSort(int[] a, int n) {
        int minj = 0;
        int count = 0;
        for (int i=0; i<n; i++) {
            minj = i;
            for (int j=i; j<n; j++) {
                if (a[j] < a[minj])
                    minj = j;
            }
            if (i != minj) {
                int t = a[i];
                a[i] = a[minj];
                a[minj] = t;
                count++;
            }
        }
        return count;
    }


    public static int bubbleSort(int[] a, int n) {
        int flag = 1;
        int count = 0;
        while (flag == 1) {
            flag = 0;
            for (int i=n-1; i>=1; i--) {
                if (a[i] < a[i-1]) {
                    int t = a[i];
                    a[i] = a[i-1];
                    a[i-1] = t;
                    flag = 1;
                    count++;
                }
            }
        }
        return count;
    }
}
