// file changed
package p02260.s483593247;


import java.util.Scanner;

/**
 * ZAKIREN第5章
 *
 * @author K.Yamauchi
 *
 */
public class Main {

	/**
	 *
	 * @param args
	 */
	public static void main(String[] args) {

		Scanner scan = new Scanner(System.in); // 入力
		int n = Integer.parseInt(scan.nextLine()); // 要素数

		// ソート対象配列の読み込み
		String[] targetarraystr = scan.nextLine().split(" ");
		int[] targetarray = new int[targetarraystr.length];
		for (int i = 0; i < targetarraystr.length; i++) {
			targetarray[i] = Integer.parseInt(targetarraystr[i]);
		}

		// 読み込み終了
		scan.close();

		// ソート
		int exchangingcount = selectionSort(n, targetarray);

		// 結果出力
		for (int i = 0; i < targetarray.length; i++) {
			if (i < targetarray.length - 1) {
				System.out.print(targetarray[i] + " ");
			} else {
				System.out.println(targetarray[i]);
			}
		}
		System.out.println(exchangingcount);
		;

	}

	/**
	 * 指定された整数配列を選択ソートする。
	 *
	 * @param n 要素数
	 * @param targetarray 選択ソートしたい整数配列
	 * @return 入れ替え回数
	 */
	private static int selectionSort(int n, int[] targetarray) {

		int exchangingcount = 0; // 入れ替え回数
		for (int i = 0; i < n; i++) {
			int minindex = i; // 最小値の要素番号
			for (int j = i; j < n; j++) {
				// 最小値より低い値があったら
				if (targetarray[j] < targetarray[minindex]) {
					// 最小値の要素番号を更新
					minindex = j;
				}
			}
			// 最小値の値と左端を入れ替える
			if (i != minindex) {
				exchangeArrayValue(targetarray, minindex, i);
				exchangingcount++;
			}
		}

		return exchangingcount;
	}

	/**
	 * 配列内の2つの要素を入れ替える。
	 *
	 * @param array
	 *            入れ替えたい要素を含む配列
	 * @param a
	 *            入れ替えたい要素のindex
	 * @param b
	 *            入れ替えたい要素のindex
	 */
	private static void exchangeArrayValue(int[] array, int a, int b) {
		int temp = array[a];
		array[a] = array[b];
		array[b] = temp;
	}

}

