// file changed
package p02260.s868204025;


import java.util.Scanner;

public class Main {
	public static void main(String[] args) {
		Scanner sc = new Scanner(System.in);
		Main main = new Main();
		int a[] = new int[100]; // sufficient
		int n = sc.nextInt();
		for (int i = 0; i < n; ++i)
			a[i] = sc.nextInt();
		int swapcnt = main.selectionSort(a, n);
		for (int i = 0; i < n; ++i) {
			// to join A by " "(space).
			if (i > 0) System.out.print(" ");
			System.out.print(a[i]);
		}
		System.out.println();
		System.out.println(swapcnt);
	}
	/* sort array A(size: N) by using Selection Sort. */
	/* return counts of swapping. */
	public int selectionSort(int a[], int n) {
		int swapcnt = 0;
		for (int i = 0; i < n; ++i) {
			// assume index pointing min{A} is i.
			int minj = i;
			// linear search for index pointing min{A}.
			for (int j = i; j < n; ++j) {
				if (a[j] < a[minj])
					minj = j;
			}
			// not swap when i == minj.
			if (i == minj)
				continue;
			// swapping A[i] for A[minj](i != minj).
			int tmp = a[i];
			a[i] = a[minj];
			a[minj] = tmp;
			++swapcnt;
		}
		return swapcnt;
	}
}
