// file changed
package p02260.s904506342;


import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

public class Main {

	public static void main(String[] args) throws IOException {

		BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
		int n = Integer.parseInt(br.readLine());
		String[] strs = br.readLine().split(" ");
		int[] inputdata = new int[n];
		for (int i = 0; i < n; i++) {
			inputdata[i] = Integer.parseInt(strs[i]);
		}
		int swapcnt = selectionSort(inputdata);

		StringBuilder sb = new StringBuilder();
		for (int i = 0; i < inputdata.length; i++) {
			sb.append(inputdata[i]);
			if (i < inputdata.length - 1) {
				sb.append(" ");
			}
		}
		sb.append("\n").append(swapcnt);
		System.out.println(sb.toString());
	}

	public static int selectionSort(int[] a) {
		int swapcnt = 0;
		for (int i = 0; i < a.length; i++) {
			int minidx = i;
			for (int j = i; j < a.length; j++) {
				if (a[minidx] > a[j]) {
					minidx = j;
				}
			}
			if (i == minidx) continue;
			int temp = a[i];
			a[i] = a[minidx];
			a[minidx] = temp;
			swapcnt++;
		}
		return swapcnt;
	}
}