// file changed
package p02263.s741560570;



import java.util.Scanner;
import java.util.*;

public class Main {
	
	public static Boolean isNumeric(String number) {
		try {
			Double.parseDouble(number);
			return true;
		}catch(NumberFormatException e){
			return false;
		}
	}
	public static void main(String[] args) {
		Scanner sc = new Scanner(System.in);
		String[] oparray = sc.nextLine().split(" ");
		Stack<Integer> st = new Stack<Integer>();
		int i = 0;
		while (i < oparray.length) {
			//System.out.println(opArray[i]);
			if(isNumeric(oparray[i])) {
				int inputint = Integer.parseInt(oparray[i]);
				st.push(inputint);
			}else if (oparray[i].equals("+")){
				int r1 = st.pop();
				
				int r2 = st.pop();
				
				st.push(r2 + r1);
				
			}else if (oparray[i].equals("-")) {
				int r1 = st.pop();
				
				int r2 = st.pop();
				st.push(r2 - r1);
			}else if(oparray[i].equals("*")) {
				int r1 = st.pop();
				
				int r2 = st.pop();
				st.push(r2 * r1);
			}else if(oparray[i].equals("/")) {
				int r1 = st.pop();
				
				int r2 = st.pop();
				st.push(r2 / r1);
			}
			i += 1;
		}
		

		sc.close();
		System.out.println(st.get(0));
	}
}

