// file changed
package p02263.s913382197;


import java.io.IOException;
import java.io.InputStream;
import java.util.NoSuchElementException;
import java.util.Stack;

public class Main {
	private static FastScanner sc = new FastScanner();

	public static void main(String[] args) {
		Stack<Integer> s = new Stack<Integer>();
		
		while(sc.hasNext()) {
			String str = sc.next();
			if(str.equals("+")) {
				int b = s.pop();
				int a = s.pop();
				s.push(a+b);			
			} else if(str.equals("-")) {
				int b = s.pop();
				int a = s.pop();
				s.push(a-b);
			} else if(str.equals("*")) {
				int b = s.pop();
				int a = s.pop();
				s.push(a*b);
			} else {
				s.push(Integer.parseInt(str));
			}
		}
		
		System.out.println(s.pop());

	}

	static class FastScanner {
	    private final InputStream in = System.in;
	    private final byte[] buffer = new byte[1024];
	    private int ptr = 0;
	    private int buflen = 0;
	    private boolean hasNextByte() {
	        if (ptr < buflen) {
	            return true;
	        }else{
	            ptr = 0;
	            try {
	                buflen = in.read(buffer);
	            } catch (IOException e) {
	                e.printStackTrace();
	            }
	            if (buflen <= 0) {
	                return false;
	            }
	        }
	        return true;
	    }
	    private int readByte() { if (hasNextByte()) return buffer[ptr++]; else return -1;}
	    private static boolean isPrintableChar(int c) { return 33 <= c && c <= 126;}
	    private void skipUnprintable() { while(hasNextByte() && !isPrintableChar(buffer[ptr])) ptr++;}
	    public boolean hasNext() { skipUnprintable(); return hasNextByte();}
	    public String next() {
	        if (!hasNext()) throw new NoSuchElementException();
	        StringBuilder sb = new StringBuilder();
	        int b = readByte();
	        while(isPrintableChar(b)) {
	            sb.appendCodePoint(b);
	            b = readByte();
	        }
	        return sb.toString();
	    }
	    public long nextLong() {
	        return Long.parseLong(next());
	    }
	    public int nextInt(){
	    	return Integer.parseInt(next());
	    }
	}
}