// file changed
package p02264.s119162338;


import java.io.*;
import java.util.*;

class Process {
   private String name;
   private int time;
  
   public Process(String name, int time) {
       this.name = name;
       this.time = time;
   }
  
   public int getTime() {
       return time;
   }

   public void setTime(int time) {
       this.time = time;
   }

   public String getName() {
       return name;
   }
  
  
}
public class Main {

   public static void main(String[] args) {

       Scanner in = new Scanner(System.in);
       int inputprocesses = in.nextInt();
       int quantum = in.nextInt();

       Queue<Process> processes = new LinkedList<Process>();

       for (int i = 0; i < inputprocesses; i++) {
           String nameindex = in.next();
           int timeindex = in.nextInt();
          
           Process processindex = new Process(nameindex, timeindex);
           processes.add(processindex);
       }
       int currtime = 0;
       while(!processes.isEmpty()) {
           Process head = processes.poll();
           if (head.getTime() > quantum) {
          	   head.setTime(head.getTime() - quantum);
               currtime += quantum;
               processes.add(head);
           }
           else {
               currtime += head.getTime();
               System.out.println(head.getName() + " " + currtime);
           }
       }
   }
}
