// file changed
package p02264.s160796830;



import javax.xml.crypto.Data;
import java.util.*;
import java.io.*;

public class Main {
    public static int SENTINEL = 100000007;
    public static int MAX = 10007;
    public static int NIL = -1;

    public static int[] dp = new int[100];


    public static void main(String[] args) throws IOException {

        //??\???
        /*
        BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
        String[] str = br.readLine().split(" ");
        */

        Scanner sc = new Scanner(System.in);
        int n = sc.nextInt();
        int q = sc.nextInt();
        P[] pp = new P[n];
        Queue<P> Q = new ArrayDeque<P>();

        for(int i = 0; i < n; i++) {
            pp[i] = new P(sc.next(), sc.nextInt());
            Q.offer(pp[i]);
        }

        int t = 0;
        while(!Q.isEmpty()) {
            P process = Q.poll();
            if(process.time <= q) {
                t += process.time;
                System.out.print(process.name + " " + t);
                System.out.println();
            }
            else {
                t += q;
                P newprocess = new P(process.name, process.time - q);
                Q.offer(newprocess);
            }
        }
    }

}

class Stack {
    int top;
    int MAX = 100007;
    int[] S = new int[MAX];

    Stack() {
        top = 0;
    }
    boolean isEmpty() {
        return top == 0;
    }
    boolean isFull() {
        return top > MAX;
    }
    void push(int x) {
        if(isFull()) return;
        top++;
        S[top] = x;
    }
    int pop() {
        if(isEmpty()) return -1;
        top--;
        return S[top + 1];
    }
}


class P {
    String name;
    int time;
    P(String n, int t) {
        name = n;
        time = t;
    }
}