// file changed
package p02264.s174050909;


import java.util.ArrayDeque;
import java.util.Deque;
import java.util.Scanner;

public class Main {

	public static void main(String[] args) {
		new Main().run();
	}

	void run() {
		Scanner sc = new Scanner(System.in);
		int n = sc.nextInt();
		int q = sc.nextInt();

		Deque<String> namequeue = new ArrayDeque<String>();
		Deque<Integer> timequeue = new ArrayDeque<Integer>();
		for (int i = 0; i < n; i++) {
			namequeue.offer(sc.next());
			timequeue.offer(sc.nextInt());
		}
		int nowtime = 0;

		while (!namequeue.isEmpty() && !timequeue.isEmpty()) {
			String p = namequeue.poll();
			int t = timequeue.poll();
			if (t - q <= 0) {
				nowtime += t;
				System.out.println(p + " " + String.valueOf(nowtime));
			} else {
				namequeue.offer(p);
				timequeue.offer(t - q);
				nowtime += q;
			}
		}

		sc.close();
	}
}