// file changed
package p02264.s192606239;


import java.util.Scanner;
import java.util.LinkedList;

public class Main {
	public static void main(String[] args) {
		Scanner input = new Scanner(System.in);
		int nprocesses = input.nextInt();
		int quantum = input.nextInt();
		input.nextLine(); // Clear \n.
		
		LinkedList<Integer> queue = new LinkedList<>();
		
		String[] processes = new String[nprocesses];
		int[] times = new int[nprocesses];
		
		for (int i = 0; i < nprocesses; i++) {
			processes[i] = input.next();
			times[i] = input.nextInt();
			queue.add(i); // Add process to queue.
			input.nextLine(); // Clear \n.
		}

		int elapsedtime = 0;
		while (!queue.isEmpty()) {
			int processid = queue.removeFirst();
			int timespent = Math.min(times[processid], quantum);
			times[processid] -= timespent;
			elapsedtime += timespent;
			
			if (times[processid] == 0) {
				System.out.println(processes[processid] + " " + elapsedtime);
			} else {
				queue.addLast(processid);
			}
		}
		
	}	
}

