// file changed
package p02264.s370087452;


import java.io.IOException;
import java.util.ArrayDeque;
import java.util.Queue;
import java.util.Scanner;

public class Main {
	public static void main(String[] args) throws IOException {

		Scanner scan = new Scanner(System.in);

		Queue<DataS> queue = new ArrayDeque<>();
		int n = scan.nextInt();
		int q = scan.nextInt();
		for (int i = 0; i < n ; i++) {
			String name = scan.next();
			int time = scan.nextInt();
			DataS datas = new DataS( name, time );
			queue.add(datas);
		}

		int time = 0;
		while(queue.size() != 0) {
			DataS datas = queue.poll();
			int datatime = datas.getTime();
			if(datatime > q) {
				time += q;
				datas.setTime(datatime - q);
				queue.add(datas);
			}else {
				time += datas.getTime();
				System.out.println(datas.getName() + " " + time);
			}
		}

	}

	static class DataS{
		private String name;
		private int time;
		public DataS(String name , int time) {
			this.name = name;
			this.time = time;
		}
		public String getName() {
			return name;
		}

		public void setTime(int time) {
			this.time = time;
		}

		public int getTime() {
			return time;
		}
	}

}

