// file changed
package p02264.s395389307;


import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

public class Main {

	public static void main(String[] args) throws IOException {
		BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
		String[] tmp =  br.readLine().split(" ");

		int n = Integer.parseInt(tmp[0]);
		int qtime = Integer.parseInt(tmp[1]);

		Process[] pary = new Process[n+1];

		for(int i = 0 ; i < n ; i++){
			tmp =  br.readLine().split(" ");
			pary[i] = new Process(tmp[0],Integer.parseInt(tmp[1]));
		}

		boolean isfinished = false;
		int top = 0;
		int tail = n;
		int cureenttime = 0;

		while(!isfinished){

			if(pary[top].time - qtime <= 0){
				cureenttime += pary[top].time;
				System.out.println(pary[top].name + " " + cureenttime );
			}else{
				pary[top].time -= qtime;
				pary[tail] = pary[top];
				tail = (tail + 1) % (n + 1);
				cureenttime += qtime;
			}
			top = (top + 1) % (n + 1);
			if(top == tail){
				isfinished = true;
			}
		}
	}
}

class Process {

	public Process(String name,int time) {
		this.name = name;
		this.time = time;
	}

	public String name;
	public int time;
}