// file changed
package p02264.s423359836;


import java.io.*;
class Que {
   int queStart;
   int queTail;
   int procTime;
   String[] arry;
   int elapsedTime;
   int max;
    public Que(int proctime,  int maxlen) {
        this.queStart = 0;
        this.queTail = 0;
        this.procTime = proctime;
        this.elapsedTime = 0;
        this.arry = new String[maxlen+1];
        this.max = maxlen+1;
    }
    public boolean isEmpty() {
        return queStart == queTail;
    }
    public boolean isFull() {
        return queStart == (queTail+1) % max;
    }
    public void enqueue (String arg){
        if(!(isFull())) {
            arry[queTail] = arg;
            queTail++;
            queTail %= max;
        } else {
            System.out.println("full");
        }
    }
    public String dequeue() {
        if(!isEmpty()){
            int now = queStart;
            queStart++;
            queStart %= max;
            return arry[now];
        } else {
            System.out.println("empty");
            return null;
        }
    }
    public void eval(Que que){
        String[]ary = que.dequeue().split(" ");
        String val = ary[0];
        int necesstime = Integer.parseInt(ary[1]);
        if(necesstime > procTime) {
            elapsedTime += procTime;
            que.enqueue(val+ " " + (necesstime-procTime));
        } else {
            elapsedTime += necesstime;
            System.out.println(val + " " + elapsedTime);
        }
    }
}

class Main {
    public static void main(String...args)throws IOException {
        BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
        String [] init = br.readLine().split(" ");
        int count = Integer.valueOf(init[0]);
        int proctime = Integer.valueOf(init[1]);
       
        int elapsedtime = 0;
        Que que = new Que(proctime, count);
        for(int i = 0; i < count; i++) {
            que.enqueue(br.readLine());
        }
        while(!que.isEmpty()){
            que.eval(que);
        }
    }
}
        

