// file changed
package p02264.s779166020;


import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

class Que {
    int head, tail, length;
    Node[] Narray;

    public Que(int inputn) {
        head = -1;
        tail = -1;
        length = inputn;
        Narray = new Node[inputn];
    }

    public void enQue(Node node) {
        tail += 1;
        Narray[tail % length] = node;
    }

    public Node deQue() {
        head += 1;
        return Narray[head % length];
    }

    public boolean isEmpty() {
        if (head == tail)
            return true;
        else
            return false;
    }
}

class Node {
    String pName;
    public int time;

    public Node(String pname, int time) {
        this.pName = pname;
        this.time = time;
    }
}

class Main {
    public static void main(String[] args) {
        BufferedReader br = new BufferedReader(new InputStreamReader(System.in));

        String[] inputdata;
        String[] nodedata;

        try {
            int totaltime = 0;
            inputdata = br.readLine().split(" ");
            int n = Integer.parseInt(inputdata[0]);
            int limittime = Integer.parseInt(inputdata[1]);
            Que q = new Que(n);
            Node tmpnode = null;
            for (int i = 0; i < n; i++) {
                nodedata = br.readLine().split(" ");
                q.enQue(new Node(nodedata[0], Integer.parseInt(nodedata[1])));
            }
            while (!q.isEmpty()) {
                tmpnode = q.deQue();
                if (tmpnode.time <= limittime) {
                    totaltime += tmpnode.time;
                    System.out.printf("%s %d\n", tmpnode.pName, totaltime);
                } else {
                    totaltime += limittime;
                    tmpnode.time -= limittime;
                    q.enQue(tmpnode);
                }
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
