// file changed
package p02264.s789895420;


import java.util.LinkedList;
import java.util.Queue;
import java.util.Scanner;

public class Main {
	
	public static void main(String[] args) {
		
		int numberofprocesses;
		int quantum;
		int clock = 0;
		String line;
		
		Queue<String> taskqueue = new LinkedList<String>();
		Queue<Integer> timequeue = new LinkedList<Integer>();
		
		Scanner keyboard = new Scanner(System.in);
		Scanner input;
		
		line = keyboard.nextLine();
		
		input = new Scanner(line);
		
		numberofprocesses = Integer.parseInt(input.next());
		quantum = Integer.parseInt(input.next());
		
		for(int i = 0; i < numberofprocesses; i++) {
			line = keyboard.nextLine();
			input = new Scanner(line);
			
			taskqueue.add(input.next());
			timequeue.add(Integer.parseInt(input.next()));
		}
		
		while(!taskqueue.isEmpty()) {
			
			String currenttask = taskqueue.remove();
			int currenttime = timequeue.remove();
			
			if(currenttime > quantum) {
				currenttime = currenttime - quantum;
				
				taskqueue.add(currenttask);
				timequeue.add(currenttime);
				
				clock = clock + quantum;
			}
			else {
				
				clock = clock + currenttime;
				
				System.out.print(currenttask + " ");
				System.out.println(clock);
			}
		}
		
		
		
	}

}
