// file changed
package p02264.s991072397;


import java.util.ArrayDeque;
import java.util.Queue;
import java.util.Scanner;

public class Main {
	
	public static void runSchedule(Queue<String[]> tasks, int quantum) {
		int totaltime = 0;
		
		while (!tasks.isEmpty()) {
			String[] elem = tasks.poll();
			int reqtime = Integer.valueOf(elem[1]);
			int timeelapsed = quantum - reqtime;
			
			if (timeelapsed >= 0) {
				totaltime += reqtime;
				System.out.println(elem[0] + " " + totaltime);
			} else {
				totaltime += quantum;
				elem[1] = String.valueOf(timeelapsed * -1);
				tasks.add(elem);
			}
		}
		
		
	}
	

	public static void main(String[] args) {
		Scanner scan = new Scanner(System.in);
		int ntasks = scan.nextInt();
		int quantum = scan.nextInt();
		scan.nextLine();
		
		Queue<String[]> tasks = new ArrayDeque<>();
		
		for (int i = 0; i < ntasks; i++) {
			String[] str = scan.nextLine().split(" ");
			tasks.add(str);
		}
		scan.close();
		
		runSchedule(tasks, quantum);
	}

}

