// file changed
package p02268.s044275682;


import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.IOException;

public class Main{

    public static void main(String[] args) throws IOException{
        BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
        int n = Integer.parseInt(br.readLine());
        int[] s = new int[100000];
        int[] t = new int[50000];
        String[] in_s = br.readLine().split(" ");
        for(int i = 0; i < n; i++){
            s[i] = Integer.parseInt(in_s[i]);
        }
        int q = Integer.parseInt(br.readLine());
        String[] in_t = br.readLine().split(" ");
        int sum = 0;
        for(int i = 0; i < q; i++){
            t[i] = Integer.parseInt(in_t[i]);
            if( binarySearch(s, n, t[i])) sum++;
        }
        System.out.println(sum);
    }

    public static boolean binarySearch(int[] a, int n, int key){
        int left = 0;
        int right = n;
        int mid;
        while(left < right){
            mid = (left + right) / 2;
            if(a[mid] == key) return true;
            else if(a[mid] < key) left = mid + 1;
            else right = mid;
        }
        return false;
    }

}