// file changed
package p02268.s301971383;


import java.util.Scanner;

public class Main {
  public static void main(final String[] args) {
    Scanner sc = new Scanner(System.in);
    int n = sc.nextInt();
    int[] s = new int[n];
    for (int i = 0; i < n; i++) {
      s[i] = sc.nextInt();
    }
    int q = sc.nextInt();
    int[] t = new int[q];
    for (int i = 0; i < q; i++) {
      t[i] = sc.nextInt();
    }
    int count = 0;
    for (int i = 0; i < t.length; i++) {
      if (binarySearch(s, t[i]))
        count++;
    }
    System.out.println(count);
  }

  private static boolean binarySearch(int[] s, int key) {
    int left = 0;
    int right = s.length - 1;
    int mid;
    while (left <= right) {
      mid = (right + left) / 2;
      if (s[mid] == key) {
        return true;
      } else if (s[mid] < key) {
        left = mid + 1;
      } else if (s[mid] > key) {
        right = mid - 1;
      }
    }
    return false;
  }
}
