// file changed
package p02268.s360475762;


import java.util.Scanner;

public class Main {
	
	public static Boolean search(int[] s, int t, int low, int high) {
		int mid = low + (high-low)/2;  // initializing middle value to search
		if (high < low) {
			return false;  // the algorithm has iterated through without finding t
			}
		if (s[mid] > t) {
			return search(s,t,low,mid-1);  // if t is in S, it'll be in the half of the array less than the middle value
			}
		else if (s[mid] < t) {
			return search(s,t,mid+1,high);  // if t is in S, it'll be in the half of the array greater than the middle value
			}
		else /*(S[mid] == t)*/ {  // this means mid = t, so t is in S
			return true;
			}
	}
	
	public static int contains(int[] s, int[] T) {
		int counter = 0;
		int low = 0;
		int high = s.length - 1;
		for (int t : T) {
			if (search(s, t, low, high)) {  // iterates through each value in T and searches for it in S
				counter++;
			}
		}
		return counter;
	}

	public static void main(String[] args) {
		Scanner in = new Scanner(System.in);
		int sizes = in.nextInt();
		int[] s = new int[sizes];
		for (int i = 0; i < sizes; i++) {
			s[i] = in.nextInt();
		}
		int sizet = in.nextInt();
		int[] t = new int[sizet];
		for (int i = 0; i < sizet; i++) {
			t[i] = in.nextInt();
		}
		in.close();
		int result = contains(s,t);
		System.out.println(result);
	}

}

