// file changed
package p02268.s409106057;


import java.util.Scanner;

public class Main {

	public static void main(String[] args) {
		Scanner sc = new Scanner(System.in);
		sc.useDelimiter(System.getProperty("line.separator"));
        int n = sc.nextInt();
        String sstr = sc.next();
        int q = sc.nextInt();
        String tstr = sc.next();

        int[] s = toIntAry(sstr, n);
        int[] t = toIntAry(tstr, q);

        int cnt=0;
        for(int i=0; i<q; i++){
        	int key = t[i];
        	if(binarySearch(s,key,n))cnt++;
        }

        System.out.println(cnt);

	}





	private static boolean binarySearch(int[] s, int key, int n) {
		int left = 0;
		int right = n;
		while(left<right){
			int mid = (left+right)/2;
			if(s[mid]==key){
				return true;
			}else if(s[mid] > key){
				right = mid;
			}else{
				left = mid +1;
			}
		}

		return false;
	}





	private static int[] toIntAry(String str, int n) {
        String[] tmp = str.split(" ");
        int[] a = new int[n];
        for (int i = 0; i < n; i++) {
			a[i] = Integer.parseInt(tmp[i]);
		}
        return a;
	}


}