// file changed
package p02381.s467818722;


import java.io.InputStreamReader;
import java.io.LineNumberReader;

/**
 * http://judge.u-aizu.ac.jp/onlinejudge/description.jsp?id=ITP1_10_C
 * 
 * @author eitatsuro
 * 
 */
public class Main {
    public static void main(String[] args) {
        try {
            LineNumberReader linenumreader = new LineNumberReader(
                    new InputStreamReader(System.in));
            
            String inputstr = null;
            double  scores[] = null;
            int studentsnum = 0;
            
            while ((inputstr = linenumreader.readLine()) != null) {
                
                // ???????????°
                if (linenumreader.getLineNumber()%2 == 1) {
                    studentsnum = Integer.parseInt(inputstr);
                }
                
                // ???????????¶.
                if (studentsnum == 0) {
                    break;
                }
                
                // ????????¢
                if (linenumreader.getLineNumber() % 2 == 0) {
                    String[] points = inputstr.split(" ");
                    scores = new double[studentsnum];
                    int i = 0;
                    for (String point : points) {
                        scores[i] = Long.parseLong(point);
                        i++;
                    }
                    
                    // ?????????????¨????
                    double sum = 0;
                    for (double score : scores) {
                        sum += score;
                    }
                    double mean = sum / studentsnum;
                    
                    // ?????£ sig2
                    double sig2 = 0;
                    for (double score : scores) {
                        sig2 += Math.pow(score - mean, 2);
                    }
                    
                    // ?¨?????????? sigma
                    double sigma = Math.sqrt(sig2 / studentsnum);
                    
                    // ????????????.
                    System.out.println(String.format("%.8f", sigma));
                }
            }
            
            linenumreader.close();
        } catch (Exception e) {
            e.printStackTrace();
            System.exit(-1);
        }
    }
}