// file changed
package p02381.s955909208;


import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.ArrayList;

/**
 * Lesson10C n 人の学生を含むクラスでプログラミングの試験を行った。
 * それぞれの得点をs1, s2 ...
 * snとしたときの、標準偏差を求めるプログラム
 *  得点の平均値をｍとすれば、
 *  分散α2は以下の式で得られる：
 *   α2 = (?ni=1(si - m)2)/n
 * 分散の正の平方根が標準偏差αとなる。
 *
 * @author Internship
 *
 */
public class Main{

	/**
	 * プログラムのエントリポイント
	 *
	 * @param args
	 */
	public static void main(String[] args) {

		// 平均M　全部足して/個数で割る
		double dbaverage = 0.0;

		// 標準偏差
		// aa = (s1-m)2乗 + (s2-m)2乗 + ・・・
		//あとでNで割る
		// a = ・・・
		double dbstandarddeviatio = 0.0;

		// 答えの格納場所
		ArrayList<Double> dbaryanswer = new ArrayList<Double>();

		// 1行目を取得
		try {
			BufferedReader insbr = new BufferedReader(new InputStreamReader(System.in));

			while (true) {

				String strline = insbr.readLine();

				// 数字を取得
				int intnum = Integer.parseInt(strline);

				if (intnum == 0) {
					break;
				}

				// 2行目を取得
				strline = insbr.readLine();

				// 分解
				String[] straryline = strline.split(" ");

				// 配列に全部格納しておく
				int[] intline = new int[straryline.length];

				for (int i = 0; i < straryline.length; i++) {
					intline[i] = Integer.parseInt(straryline[i]);

					// 平均M　全部足して/個数で割る
					dbaverage += intline[i];

				}

				// 平均M　全部足して/個数で割る
				dbaverage = dbaverage / straryline.length;

				// 標準偏差
				// aa = (s1-m) + (s2-m) + ・・・

				for (int i = 0; i < straryline.length; i++) {

					dbstandarddeviatio += (intline[i] - dbaverage) * (intline[i] - dbaverage);

				}

				// aaをnで割る
				dbstandarddeviatio /= straryline.length;

				// a ＝・・・・
				dbstandarddeviatio = Math.sqrt(dbstandarddeviatio);

				dbaryanswer.add(dbstandarddeviatio);

				//初期化
				dbaverage = 0.0;
				
				dbstandarddeviatio =0.0;

			}

			// 答えが何個あるか取得
			int intsize = dbaryanswer.size();

			// 出力
			for (int i = 0; i < intsize; i++) {
				System.out.println(dbaryanswer.get(i));
			}

		} catch (IOException e) {
			System.out.println(e);
		} catch (NumberFormatException e) {
			System.out.println("数字で入力して下さい");
		}
	}
}