// file changed
package p00003.s391424623;




import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.Scanner;

 class Main {

	public static void main(String[] args) {

		// get user input
		List<List<Integer>> userinputs = getUserInputs();
		for (List<Integer> trianglesides : userinputs) {
			// check whether triagle is rightAngleTriable or not
			boolean isrightangletrangle = isRightAngleTraingle(trianglesides);
			if (isrightangletrangle) {
				System.out.println("YES");
			} else {
				System.out.println("NO");
			}
		}
	}


	private static boolean isRightAngleTraingle(List<Integer> intlist) {
		if(intlist == null || intlist.isEmpty() || intlist.size() != 3){
			return false;
		}
		Collections.sort(intlist);
		
		int aside = intlist.get(0);
		int bside = intlist.get(1);
		int cside = intlist.get(2);
		if ((cside * cside) == ((aside * aside) + (bside * bside))) {
			return true;
		}
		return false;
	}

	
	private static List<List<Integer>> getUserInputs() {
		int repetation = 0;
		List<List<Integer>> returnlist = new ArrayList<>();

		// get user input
		List<String> userlist = new ArrayList<String>();
		{
			Scanner in = new Scanner(System.in);
			String snum = in.nextLine();
			repetation = Integer.parseInt(snum);
			
			for (int i = 0; i < repetation; i++) {
				userlist.add(in.nextLine());
			}
		}
		// convert string into Integer
		{

			for (String input : userlist) {
				input = input.trim();
				if(input.length() == 0){
					continue;
				}
				String array[] = input.split("\\s+");
				ArrayList<Integer> intlist = new ArrayList<Integer>();
				for (int i = 0; i < array.length; i++) {
					String num = array[i];					
					intlist.add(Integer.parseInt(num.trim()));
				}
				returnlist.add(intlist);
			}
		}
		return returnlist;
	}

}