// file changed
package p00005.s193374525;


import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.Arrays;

public class Main {

	/**
	 * AOJ 0005 GCD and LCM
	 */
	public static void main(String[] args) throws IOException {
		BufferedReader bufferedreader = new BufferedReader(
				new InputStreamReader(System.in));

		String input = bufferedreader.readLine();
		String[] twostr;
		while (input != null) {
			twostr = input.split("\\s");
			int[] twoint = getintArray(twostr);
			int gcd = getGCD(twoint);
			int lcm = getLCM(twoint, gcd);
			System.out.println(gcd + " " + lcm);
			input = bufferedreader.readLine();
		}
	}

	/**
	 * String????????????int?????????????????????????????????????????????????????´??????
	 *
	 * @param strarray
	 *            String?????????
	 * @return int?????????
	 */
	private static int[] getintArray(String[] strarray) {
		int[] intarray = new int[strarray.length];
		for (int i = 0; i < intarray.length; i++) {
			intarray[i] = Integer.parseInt(strarray[i]);
		}
		Arrays.sort(intarray);
		return intarray;
	}

	private static int getGCD(int[] twointorg) {
		int tmp, diff;
		int[] twoint = { twointorg[0], twointorg[1] };
		while (twoint[0] != twoint[1]) {
			diff = twoint[1] - twoint[0];
			if (diff > twoint[0]) {
				twoint[1] = diff;
			} else {
				tmp = twoint[0];
				twoint[0] = diff;
				twoint[1] = tmp;
			}
		}
		return twoint[0];
	}

	private static int getLCM(int[] twoint, int gcd) {
		return twoint[0] / gcd * twoint[1];
	}
}