// file changed
package p00005.s446624818;


import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

public class Main {

    public static void main(String[] args) throws IOException {
        BufferedReader br = new BufferedReader(new InputStreamReader(System.in));

        while(true){
            String tmp = br.readLine();

            if(tmp == null){
                break;
            }

            String[] tmparray = tmp.split(" ");
            int a = Integer.parseInt(tmparray[0]);
            int b = Integer.parseInt(tmparray[1]);

            int gcd = gcd(a, b);

            int lcm = lcm(a, b, gcd);
            System.out.println(gcd + " "+ lcm);
        }
    }

    static int gcd(int a, int b){
    	int tmp;

    	while (a % b != 0)
    	{
    		tmp = b;
    		b = a % b;
    		a = tmp;
    	}
    	return b;
    }

    static int lcm(int a, int b, int gcd){
    	return a*(b/gcd);
    }

    static int lcm(int a, int b){
    	int g = gcd(a, b);

    	return lcm(a,b,g);
    }

}