// file changed
package p00005.s778227441;


import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

public class Main
{
  public static void main(String[] args) throws NumberFormatException, IOException
  {
    BufferedReader input = new BufferedReader(new InputStreamReader(System.in));

    while (input.ready())
    {
      String[] datastr = input.readLine().split(" ");
      int[] dataint = new int[datastr.length];
      for (int i = 0; i < datastr.length; i++)
      {
        dataint[i] = Integer.valueOf(datastr[i]);
      }
      System.out.println(getGCD(dataint[0], dataint[1]) + " " + getLCM(dataint[0], dataint[1]));
    }
  }

  public static int getGCD(int num1, int num2)
  {
    if (num1 == num2)
      return num1;

    int a  = Math.max(num1, num2);
    int b = Math.min(num1, num2);
    int c = 1;

    while (true)
    {
      c = a % b;
      if(c == 0) {
        break;
      }
      a = b;
      b = c;
    }
    return b;
  }

  public static int getLCM(int a, int b)
  {
    int producta = a;
    int productb = b;
    while (producta <= 2000000000)
    {
      if (producta == productb)
      {
        return producta;
      }
      if (producta < productb)
      {
        producta += a;
      }
      else
      {
        productb += b;
      }
    }
    return 0;
  }
}