// file changed
package p00005.s916104457;


import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
 
public class Main {
 
    public static void main(String[] args) throws IOException {
        BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
         
        while(true){
            String tmp = br.readLine();
             
            if(tmp == null){
                break;
            }
 
            String[] tmparray = tmp.split(" ");
            int a = Integer.parseInt(tmparray[0]);
            int b = Integer.parseInt(tmparray[1]);
             
            System.out.println(GCD(a,b) + " "+ LCM(a,b));
        }
    }
    
    static long GCD (long a, long b){
	    long candidate = a;
	    while (b % a != 0) {
	      candidate = b % a;
	      b = a;
	      a = candidate;
	    }
	    return candidate;
	}
    
    static long LCM (long a, long b){
		long gcd = GCD(a, b);
		//System.out.println("GCD("+a+","+b+") is "+GCD);
		return gcd * (a/gcd) * (b/gcd);
	}
 
}