// file changed
package p00007.s914569361;


import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

public class Main {

    public static void main(String[] args) throws IOException {
        BufferedReader bufferedreader = new BufferedReader(
                new InputStreamReader(System.in));
        int intinputweek = Integer.parseInt(bufferedreader.readLine());

        // 借金計算
        double totaldebt = calcDebt(100000, intinputweek);
        System.out.println((int) totaldebt);
    }

    /**
     * 借金計算メソッド（週利0.05%）
     * @param debt 現在の借金
     * @param week 現在の残り週
     * @return 借金額
     */
    private static double calcDebt(double debt, int week) {
        if (week == 0) {
            return debt;
        }
        debt *= 1.05;

        // 1000円未満は切り上げる
        double debtplus = debt / 1000 - (int) (debt / 1000);
        if (debtplus > 0)
            debt = debt + 1000 - debtplus * 1000;

        return calcDebt(debt, --week);
    }

}