package p00011.s917951126;


import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

class Main {
	/**
	 * ??\?????????????????? / ????????????????????????
	 */
	public static void main(String[] args) throws Exception {

		// ??\???????????????
		BufferedReader br = new BufferedReader(new InputStreamReader(System.in));

		int verticalLineCount = Integer.parseInt(br.readLine());
		// ???????????????????£??????° ???????????????
		String[] verticalLine = new String[verticalLineCount];
		List<String> goalNumberList = Arrays.asList(verticalLine);

		List<List<String>> allSideLine = processAllSideLine(br);

		goalNumberList = processGoalNumberList(goalNumberList, allSideLine);

		// ???????????????
		for (String string : goalNumberList) {

			System.out.println(string);
		}
	}

	/**
	 * ??¨???????¨??£?????????¨??????????´??????????????¬?????????????????????????
	 */
	public static List<List<String>> processAllSideLine(BufferedReader br) throws IOException {

		int sideLineCount = Integer.parseInt(br.readLine());
		List<List<String>> allSideLine = new ArrayList<>();

		for (int i = 0; i < sideLineCount; i++) {

			String[] sideLine = br.readLine().split(",");
			List<String> sideLineToList = Arrays.asList(sideLine);
			allSideLine.add(sideLineToList);
		}

		return allSideLine;
	}

	/**
	 * ????????????????????????????????????????????????????????§?????????????????????????????????????????§????????????
	 */
	public static List<String> processGoalNumberList(List<String> goalNumberList, List<List<String>> allSideLine) {

		for (int startNumber = 0; startNumber < goalNumberList.size(); startNumber++) {

			String goalNumber = String.valueOf(startNumber + 1);

			for (int j = 0; j < allSideLine.size(); j++) {

				String sideNode_1 = allSideLine.get(j).get(0);
				String sideNode_2 = allSideLine.get(j).get(1);

				if (sideNode_1.equals(goalNumber)) {

					goalNumber = sideNode_2;
				} else if (sideNode_2.equals(goalNumber)) {

					goalNumber = sideNode_1;
				}
			}

			goalNumberList.set(Integer.parseInt(goalNumber) - 1, String.valueOf(startNumber + 1));
		}

		return goalNumberList;
	}
}