// file changed
package p02255.s099489833;


// ALDS1_01 Insertion Sort
import java.io.*;

class Main {
   public static void main(String[] args) {
      BufferedReader br = new BufferedReader(new InputStreamReader(System.in));

      try { 
         int n = Integer.parseInt(br.readLine());
         int[] a = new int[n];
         String[] input = br.readLine().split(" ");
         for (int i = 0; i < n; i++) {
            a[i] = Integer.parseInt(input[i]);
         }
         trace(a, n);
         insertionSort(a, n);
      }
      catch (Exception e) {
         e.printStackTrace();
      }
   }
   static void insertionSort(int[] a, int n) {
      for (int i = 1; i < a.length; i++) {
         int key = a[i];
         int j = i - 1;
         while (j >= 0 && a[j] > key) {
            a[j + 1] = a[j];
            j--;
         }
         a[j + 1] = key;
         trace(a, n);
      }
   }
   static void trace(int[] a, int n) {
      for (int i = 0; i < a.length; i++) {
         if (i < n - 1) {
            System.out.print(a[i] + " ");
         } else { 
            System.out.println(a[i]);
         }
      }
   }
}