// file changed
package p02255.s300190322;


/* ALDS1_1_A */
import java.io.*;

class Main
{

  public static void main(String[] args)
  {
    try{
      BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
      int n = Integer.parseInt(br.readLine());
      String[] str = br.readLine().split(" ");
      int[] array = new int[n];

      for(int i = 0; i < n; i++){
        array[i] = Integer.parseInt(str[i]);
      }
      insertionSort(array, array.length);

    }catch(Exception e){
      System.out.println(e);
    }
  }

  public static void insertionSort(int[] a, int n)
  {
    StringBuilder sb = new StringBuilder();
    sb.append(show(a));

    for(int i = 1; i < n; i++){
      int v = a[i];
      int j = i - 1;
      while(j >= 0 && a[j] > v){
        a[j+1] = a[j];
        j--;
      }
      a[j+1] = v;
      sb.append(show(a));
    }
    System.out.print(sb);
  }

  public static String show(int[] b)
  {
    StringBuilder sb = new StringBuilder();

    for(int i = 0; i < b.length; i++){
      sb.append(b[i]).append(" ");
    }
    sb.deleteCharAt(sb.length() - 1);
    sb.append("\n");

    return sb.toString();
  }
}