// file changed
package p02255.s530756765;


  import java.io.IOException;
  import java.io.BufferedReader;
  import java.io.InputStreamReader;

  public class Main {
    public static void main(String[] args) throws IOException {
        BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
        int n = Integer.parseInt(br.readLine());
        String[] arr = br.readLine().split(" ");
        int[] a = new int[n];
        for (int i = 0; i < n; i++){
          a[i] = Integer.parseInt(arr[i]);
        }
        insertionSort(a, n);
    }
    
    static void insertionSort(int[] a, int n){
      printArray(a);
      for (int i = 1; i < n; i++){
        int v = a[i];
        int j = i - 1;
        while (j >= 0 && a[j] > v){
          swap(a, j+1, j);
          j--;
        }
        a[j+1] = v;
        printArray(a);
      }
    }
    
    static void swap(int[] a, int i, int j){
      int tmp = a[i];
      a[i] = a[j];
      a[j] = tmp;
    }
    
    static void printArray(int[] a){
      StringBuilder sb = new StringBuilder();
      for (int i = 0; i < a.length; i++){
        sb.append(String.valueOf(a[i]));
        if (i != a.length - 1){
          sb.append(" ");
        }
      }
      System.out.println(sb.toString());
    }
  }