// file changed
package p02257.s138585793;


import java.io.BufferedReader;
import java.io.InputStreamReader;

public class Main {
	public static void main(String[] args) {
		try {
			BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
			final int n = Integer.parseInt(reader.readLine());
			final int[] list = new int[n];
			for (int i = 0; i < n; i++) {
				list[i] = Integer.parseInt(reader.readLine());
			}
			reader.close();
			
			System.out.println(String.valueOf(countPrime(list)));
		} catch (Exception e) {
			e.printStackTrace();
		}
		
	}
	
	public static int countPrime(final int[] list) {
		int count = 0;
		
		for (int num : list) {
			if (isPrime(num)) count++;
		}
		return count;
	}
	
	public static boolean isPrime(final int num) {
		boolean isprime;
		
		if (num < 2) {
			isprime = false;
			
		} else if (num == 2) {
			isprime = true;
			
		} else if (num % 2 == 0) { 
			isprime = false;
			
		} else {
			isprime = true;
			
			final int end = (int)Math.pow(num, 0.5);
			for (int i = 3; i <= end; i += 2) {
				if (num % i == 0) {
					isprime = false;
					break;
				}
			}
		}
		return isprime;
	}
}