// file changed
package p02257.s323066103;



import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.io.PrintWriter;
import java.util.Arrays;
import java.util.InputMismatchException;
import java.util.StringTokenizer;

public class Main {

	public static void main(String[] args) throws IOException {
		InputStream inputstream = System.in;
		OutputStream outputstream = System.out;
		InputReader in = new InputReader(inputstream);
		PrintWriter out = new PrintWriter(outputstream);
		TaskX solver = new TaskX();
		solver.solve(1, in, out);
		out.close();
	}

	static int INF = 1 << 30;
	static int MAX = (int)Math.pow(10, 8)+1;

	static class TaskX {
		public void solve(int testnumber, InputReader in, PrintWriter out) {

			int n = in.nextInt();
			boolean[] isprime = new boolean[MAX];
			isprime = new boolean[MAX];
			Arrays.fill(isprime, true);
			isprime[0] = isprime[1] = false;
			for (int i = 2; i <= Math.sqrt(isprime.length); i++) {
				if (!isprime[i])
					continue;
				for (int j = i + i; j < isprime.length; j += i) {
					isprime[j] = false;
				}
			}

			int count = 0;
			for (int i = 0; i < n; i++) {
				if (isprime[in.nextInt()]) {
					count++;
				}
			}

			out.println(count);

		}
	}

	static class InputReader {
		BufferedReader in;
		StringTokenizer tok;

		public String nextString() {
			while (!tok.hasMoreTokens()) {
				try {
					tok = new StringTokenizer(in.readLine(), " ");
				} catch (IOException e) {
					throw new InputMismatchException();
				}
			}
			return tok.nextToken();
		}

		public int nextInt() {
			return Integer.parseInt(nextString());
		}

		public long nextLong() {
			return Long.parseLong(nextString());
		}

		public double nextDouble() {
			return Double.parseDouble(nextString());
		}

		public int[] nextIntArray(int n) {
			int[] res = new int[n];
			for (int i = 0; i < n; i++) {
				res[i] = nextInt();
			}
			return res;
		}

		public long[] nextLongArray(int n) {
			long[] res = new long[n];
			for (int i = 0; i < n; i++) {
				res[i] = nextLong();
			}
			return res;
		}

		public InputReader(InputStream inputstream) {
			in = new BufferedReader(new InputStreamReader(inputstream));
			tok = new StringTokenizer("");
		}

	}

}

