// file changed
package p02259.s159045574;


import java.util.Scanner;

public class Main {

	// define variables & initialize
	private static int cnt = 0;	// how many bubbleSort is used
	
	// sort method :: sort given array using insertion Sort
	public static void sort(int[] _a, int _n) {
		int flg = 1;
		while (flg != 0) {
			flg = 0;
			for (int i = _n - 1; i >= 1; --i) {
				if (_a[i] < _a[i - 1]) {
					_a[i] = _a[i] ^ _a[i - 1];
					_a[i - 1] = _a[i] ^ _a[i - 1];
					_a[i] = _a[i] ^ _a[i - 1];
					flg = 1;
					++cnt;
				}
			}
		}
		
	}
	
	// print method :: print array
	public static void print(int[] _a) {
		for (int i = 0; i < _a.length; ++i) {
			System.out.print(_a[i]);
			if (i != _a.length - 1)
				System.out.print(" ");
		}
		System.out.println();
	}
	
	// get method :: get cnt (how many bubbleSort was used)
	public static int get() {
		return cnt;
	}
public static void main(String[] args) {
		Scanner sc = new Scanner(System.in);
		////////////////////////////////////
		int n = 0;
		int[] a;
		
		n = sc.nextInt();
		a = new int[n];
		
		for (int i = 0; i < n; ++i) {
			a[i] = sc.nextInt();
		}
		
		sort(a, n);
		print(a);
		System.out.println(get());
		
		////////////////////////////////////
		sc.close();
	}



}