// file changed
package p02259.s265736389;


import java.util.Scanner;

/**
 * ZAKIREN第5章
 *
 * @author K.Yamauchi
 *
 */
public class Main {

	/**
	 *
	 * @param args
	 */
	public static void main(String[] args) {

		Scanner scan = new Scanner(System.in); // 入力
		int n = Integer.parseInt(scan.nextLine()); // 要素数

		// ソート対象配列の読み込み
		String[] targetarraystr = scan.nextLine().split(" ");
		int[] targetarray = new int[targetarraystr.length];
		for (int i = 0; i < targetarraystr.length; i++) {
			targetarray[i] = Integer.parseInt(targetarraystr[i]);
		}

		// 読み込み終了
		scan.close();

		// ソート
		int exchangingcount = bubbleSort(n, targetarray);

		// 結果出力
		for (int i = 0; i < targetarray.length; i++) {
			if (i < targetarray.length - 1) {
				System.out.print(targetarray[i] + " ");
			} else {
				System.out.println(targetarray[i]);
			}
		}
		System.out.println(exchangingcount);;

	}

	/**
	 * 指定された整数配列をバブルソートする。
	 *
	 * @param n 配列の要素数
	 * @param targetarray バブルソートしたい整数配列
	 */
	private static int bubbleSort(int n, int[] targetarray) {
		boolean isnotsorted = true; // ソート未完了フラグ
		int exchangingcount = 0; // 入れ替え回数

		// ソートが完了するまで
		while (isnotsorted) {
			isnotsorted = false;

			// 天秤を右端から移動していく
			for (int i = n - 1; i > 0; i--) {
				// 自分より小さい値が左側に居たら
				if (targetarray[i] < targetarray[i - 1]) {
					// 2つの要素を入れ替える
					exchangeArrayValue(targetarray, i, i - 1);
					isnotsorted = true;
					exchangingcount++;
				}
			}
		}

		return exchangingcount;
	}

	/**
	 * 配列内の2つの要素を入れ替える。
	 *
	 * @param array 入れ替えたい要素を含む配列
	 * @param a 入れ替えたい要素のindex
	 * @param b 入れ替えたい要素のindex
	 */
	private static void exchangeArrayValue(int[] array, int a, int b) {
		int temp = array[a];
		array[a] = array[b];
		array[b] = temp;
	}

}
