// file changed
package p02259.s578535421;



import java.io.BufferedReader;
import java.io.InputStreamReader;

public class Main {
    public static void main(String[] args) throws Exception {
        BufferedReader r = new BufferedReader(new InputStreamReader(System.in));
        int n = readInt(r);
        String[] numstrings = r.readLine().split(" ");
        int[] a = new int[n];
        for (int i = 0;i < n;i++) {
            a[i] = Integer.parseInt(numstrings[i]);
        }
//        insertionSort(A, N);
        bubbleSort(a, n);
    }
    
    public static void insertionSort(int[] a, int n) {
        System.out.println(dump(a, n));
        for (int i = 1;i <= (n - 1);i++) {
            int v = a[i];
            int j = i - 1;
            while (j >= 0 && a[j] > v) {
                a[j + 1] = a[j];
                j--;
            }
            a[j + 1] = v;
            System.out.println(dump(a, n));
        }
    }
    
    public static void bubbleSort(int[] a, int n) {
        int swapcount = 0;
        boolean flag = true;
        while (flag) {
            flag = false;
            for (int j = n - 1;j >= 1;j--) {
                if (a[j] < a[j - 1]) {
                    swapInt(a, j, j - 1);
                    swapcount++;
                    flag = true;
                }
            }
        }
        System.out.println(dump(a, n));
        System.out.println(swapcount);
    }
    
    public static void swapInt(int[] a, int j, int k) {
        int v = a[j];
        a[j] = a[k];
        a[k] = v;
    }
    
    public static String dump(int[] a, int n) {
        StringBuilder builder = new StringBuilder();
        for (int i = 0;i < n;i++) {
            if (i != 0) {
                builder.append(" ");
            }
            builder.append(a[i]);
        }
        return builder.toString();
    }
    
    public static int readInt(BufferedReader r) throws Exception {
        return Integer.parseInt(r.readLine());
    }
}