// file changed
package p02260.s023598187;


import java.io.*;

class Main{
        private static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));

        private static void swap(int[] a, int i, int j){
                int tmp = a[i];
                a[i] = a[j];
                a[j] = tmp;
        }

        private static void printArray(int[] a){
                for(int i=0; i<a.length; i++){
                        System.out.print(a[i]);
                        if(i!=a.length-1)
                                System.out.print(" ");
                }
                System.out.println();
        }

        private static int selectionSort(int[] a){
                int count = 0;
                int mini = 0;

                for(int i=0; i<a.length-1; i++){
                        boolean doswap = false;
                        mini = i;
                        for(int j=i+1; j<a.length; j++)
                                if(a[j] < a[mini]){
                                        mini = j;
                                        doswap = true;
                                }
                        if(doswap){
                                swap(a, i, mini);
                                count++;
                        }
                }
                return count;
        }
        public static void main(String[] args) throws IOException{
                int n = Integer.parseInt(br.readLine());
                String[] iline = br.readLine().split(" ");
                int[] a = new int[n];

                for(int i=0; i<n; i++)
                        a[i] = Integer.parseInt(iline[i]);

                int count = selectionSort(a);

                printArray(a);
                System.out.println(count);
        }
}