// file changed
package p02260.s248646166;


import java.util.Scanner;

public class Main {
  public static void main(String[] args) {
    Scanner sc = new Scanner(System.in);
    int n = sc.nextInt();
    int[] a = new int[n];
    for (int i = 0; i < n; i++) {
      a[i] = sc.nextInt();
    }
    sc.close();
    selectionSort(a, n);
  }

  static void selectionSort(int[] a, int n) {
    int count = 0;
    for (int i = 0; i < n - 1; i++) {
      int minj = i;
      for (int j = i; j < n ; j++) {
        if (a[j] < a[minj])
          minj = j;
      }
      if (i != minj) {
        swap(a, i, minj);
        count++;
      }
    }
    printArray(a);
    System.out.println(count);
  }

  static void swap(int[] a, int i, int j) {
    int tmp = a[i];
    a[i] = a[j];
    a[j] = tmp;
  }

  static void printArray(int[] a) {
    int n = a.length;
    for (int i = 0; i < n - 1; i++) {
      System.out.printf("%d ", a[i]);
    }
    System.out.print(a[n - 1] + "\n");
  }
}
