// file changed
package p02260.s534987759;


import java.util.Scanner;

public class Main {

		// define variables & initialize
	private static int cnt = 0;	// how many bubbleSort is used
	
	// sort method :: sort given array using insertion Sort
	public static void sort(int[] _a, int _n) {
		for (int i = 0; i <= _n - 1; ++i) {
			int p_min = i;
			for (int j = i; j <= _n - 1; ++j) {
				if (_a[j] < _a[p_min])
					p_min = j;
			}
			if (i != p_min) {
				_a[i] = _a[i] ^ _a[p_min];
				_a[p_min] = _a[i] ^ _a[p_min];
				_a[i] = _a[i] ^ _a[p_min];
				++cnt;
			}
		}
		
	}
	
	// print method :: print array
	public static void print(int[] _a) {
		for (int i = 0; i < _a.length; ++i) {
			System.out.print(_a[i]);
			if (i != _a.length - 1)
				System.out.print(" ");
		}
		System.out.println();
	}
	
	// get method :: get cnt (how many bubbleSort was used)
	public static int get() {
		return cnt;
	}
	
	public static void main(String[] args) {
		Scanner sc = new Scanner(System.in);
		////////////////////////////////////
		int n = 0;
		int[] a;
		
		n = sc.nextInt();
		a = new int[n];
		
		for (int i = 0; i < n; ++i) {
			a[i] = sc.nextInt();
		}
		
		sort(a, n);
		print(a);
		System.out.println(get());
		
		////////////////////////////////////
		sc.close();
	}
	
}