// file changed
package p02260.s734090356;


import java.io.*;
 
class Main {
	
    public static void main(String[] args) {
        BufferedReader kb = new BufferedReader( new InputStreamReader( System.in ) );
        try {
            int n = Integer.parseInt( kb.readLine() );
			String[] nums = kb.readLine().split( " " );
			int[] a = new int[n];
            int i, j;
            
            for( i=0; i<n; i++ ) {
            	a[i] = Integer.parseInt( nums[i] );
            }
            
            int cnt = 0;
			cnt = selectionSort( a );
			
            StringBuilder output = new StringBuilder( 200+1 );
            for( i=0; i<n; i++ ) {
            	output.append( a[i]  );
            	output.append( " "  );
            }
            output.deleteCharAt( output.lastIndexOf( " " ) );

            System.out.println( output );
            System.out.println( cnt );
			 
            kb.close();
        } catch( IOException e ) {
            System.err.println( e );
        }        
    }
    
    static int selectionSort( int[] a ) 
    {
    	int tmp;
    	int i, j, mini, cnt;
    	int n = a.length;
    	
    	cnt = 0;
   		for( i=0; i<n; i++ ) {
   			mini = i;
   			for( j=i; j<n; j++ ) {
   				if( a[j] < a[ mini ] ) {
   					mini = j;
   				}
   			}
   			if( mini != i ) {
		   		tmp = a[ mini ];
				a[ mini ] = a[ i ];
				a[ i ] = tmp;
				cnt++;
			}
   		}
   		return cnt;
    }
}