// file changed
package p02263.s641670006;


import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.Scanner;

public class Main {

	public static void main(String[] args) {
		Scanner sc = new Scanner(System.in);
		List<String> porand = new ArrayList<>(Arrays.asList(sc.nextLine().split(" ")));
		sc.close();
		List<String> stack = new ArrayList<>();
		for(String value: porand) {
			 if(isNumber(value)) {
				 push(stack, value);
			 } else {
				 String operand2 = pop(stack);
				 String operand1 = pop(stack);
				 String calcresult = calcResultGet(operand1, operand2, value);
				 push(stack, calcresult);
			 }
		}
		System.out.println(pop(stack));
	}
	public static void push(List<String> stack, String value) {
		stack.add(value);
	}
	public static String pop(List<String> stack) {
		int popindex = stack.size() - 1;
		String value = stack.get(popindex);
		stack.remove(popindex);
		return value;
	}
	public static boolean isNumber(String value) {
		String numonlyregex = "[0-9]+";
		return value.matches(numonlyregex);
	}
	public static String calcResultGet(String operand1, String operand2, String enzanshi) {
		int operandnum1 = Integer.parseInt(operand1);
		int operandnum2 = Integer.parseInt(operand2);
		int calcresult = 0;
		switch (enzanshi) {
		case "+":
			calcresult = operandnum1 + operandnum2;
			break;

		case "-":
			calcresult = operandnum1 - operandnum2;
			break;

		case "*":
			calcresult = operandnum1 * operandnum2;
			break;
		}
		return String.valueOf(calcresult);
	}
}