// file changed
package p02263.s862764134;


import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.Stack;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class Main {

	public static final int BIG_NUM  = 2000000000;
	public static final int MOD  = 1000000007;

	public static void main(String[] args) {

		BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
		Stack<Integer> s = new Stack<Integer>();
		int a,b;

		try {

			String input[] = br.readLine().split("\\s+");

			for(int i = 0; i < input.length; i++){
				if(checkInt(input[i])){
					s.push(Integer.parseInt(input[i]));
					continue;
				}

				b = s.peek();
				s.pop();
				a = s.peek();
				s.pop();

				if(input[i].equals("+")){
					s.push(a+b);
				}else if(input[i].equals("*")){
					s.push(a*b);
				}else if(input[i].equals("-")){
					s.push(a-b);
				}
			}
			System.out.println(s.peek());

		} catch (NumberFormatException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	public static boolean checkInt(String number){
		Pattern p = Pattern.compile("^[0-9]+$");
		Matcher m = p.matcher(number);
		return m.matches();
	}

}

