// file changed
package p02264.s096958280;




import java.util.*;

public class Main {
	public static void main(String args[]) {
		Queue<ItemPair> list = new LinkedList<ItemPair>();
		Scanner k = new Scanner(System.in);
		
		int processes = k.nextInt();
		int quantum = k.nextInt();
		
		//Fill the queue
		for(int x = 0; x < processes; x++) {
			String inputname = k.next();
			int inputtime = k.nextInt();
			
			ItemPair itempair = new ItemPair(inputtime, inputname);
			list.add(itempair);
		}
		
		int timestart = 0;
		while(!list.isEmpty()) {
			
			ItemPair temp = list.poll();
			
			if(temp.send_time() > quantum) {
				temp.set_time(temp.send_time() - quantum);
				timestart += quantum;
				list.add(temp);
			} else {
				timestart += temp.send_time();
				System.out.println(temp.send_name() + " " + timestart);
			}
		}
		
	}
}

//Each node in the queue will have these properties
class ItemPair {
	String name;
	int time;
	
	public ItemPair(int x, String y) {
		time = x;
		name = y;
	}
	public void set_time(int newtime) {
		this.time = newtime;
	}
	public int send_time() {
		return time;
	}
	public String send_name() {
		return name;
	}
	
	
	
}

