// file changed
package p02264.s219692513;


import java.util.ArrayDeque;
import java.util.Queue;
import java.util.Scanner;

public class Main {
    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);
        int n = sc.nextInt();
        int quant = sc.nextInt();

        Queue<String> qtask = new ArrayDeque<>();
        Queue<Integer> qtime = new ArrayDeque<>();
        
        for (int i = 0; i < n; i++) {
            qtask.add(sc.next());
            qtime.add(sc.nextInt());
        }
        
        int timepoint = 0;
        while (!qtask.isEmpty()) {
            String task = qtask.poll();
            int time = qtime.poll();

            if (time > quant) {
                timepoint += quant;
                qtime.add(time - quant);
                qtask.add(task);
               
            } else {
                timepoint += time;
                System.out.println(task + " " + timepoint);
            }
        }
    }
}
