// file changed
package p02264.s412117259;


import java.util.ArrayDeque;
import java.util.Queue;
import java.util.Scanner;

public class Main {

	public static void main(String[] args) {
		Scanner scan = new Scanner(System.in);
		Queue<String> namequeue = new ArrayDeque<>();
		Queue<Integer> timequeue = new ArrayDeque<>();
		int time = 0;

		// プロセス数とクオンタムを読み込む
		int num = scan.nextInt();
		int quantum = scan.nextInt();

		// 各プロセスの情報を読み込む
		for(int i = 0; i < num; i++) {
			namequeue.add(scan.next());
			timequeue.add(scan.nextInt());
		}

		// ラウンドロビンスケジューリング
		while(!timequeue.isEmpty()) {
			if(timequeue.peek() > quantum) {
				timequeue.add(timequeue.poll() - quantum);
				namequeue.add(namequeue.poll());
				time += quantum;
			} else {
				time += timequeue.poll();
				System.out.print(namequeue.poll() + " ");
				System.out.println(time);
			}

		}

	}
}

