// file changed
package p02264.s600028971;


import java.util.LinkedList;
import java.util.Scanner;

class Task {
	public String name;
	public int time;
	
	Task(String name, int time) {
		this.name = name;
		this.time = time;
	}
}
public class Main{
	static LinkedList<Task> queue = new LinkedList<>();
	
	public static void main(String[] args) {
		Scanner sc = new Scanner(System.in);
		int sumtime = 0;
		
		int tasknum = sc.nextInt();
		int leveltime = sc.nextInt();
		
		if(tasknum < 1 || tasknum > 100000)
			return;
		if(leveltime < 1 || leveltime > 1000)
			return;
		
		for (int i = 0; i < tasknum; i++) {
			 queue.offer(new Task(sc.next(), sc.nextInt()));
		}
		
		
		while(!queue.isEmpty()) {
			Task task = queue.poll();
			
			if(task.time <= leveltime) {
				sumtime += task.time;
				System.out.println(task.name + " " + sumtime);
			} else {
				task.time -= leveltime;
				sumtime += leveltime;
				queue.offer(task);
			}
		}
	}
}