// file changed
package p02264.s739821837;


import java.util.ArrayList;
import java.util.Scanner;

class Process {
    String name;
    int time;
    int finishTime;

    Process(String name, int time, int finishtime) {
        this.name = name;
        this.time = time;
        this.finishTime = finishtime;
    }
}

class Main {

    int size;
    int quantum;

    public void go() {
        Scanner sc = new Scanner(System.in);
        this.size = sc.nextInt();
        this.quantum = sc.nextInt();
        ArrayList<Process> list = new ArrayList<Process>();
        ArrayList<Process> finishlist = new ArrayList<Process>();
        for (int i = 0; i < this.size; i++) {
            list.add(new Process(sc.next(), sc.nextInt(), 0));
        }

        int time = 0;
        while (!list.isEmpty()) {
            Process currentprocess = list.get(0);
            // finish
            if (currentprocess.time <= this.quantum) {
                currentprocess.finishTime = time + currentprocess.time;
                finishlist.add(new Process(currentprocess.name, currentprocess.time, currentprocess.finishTime));
                time += currentprocess.time;
            } else {
                currentprocess.time -= this.quantum;
                list.add(new Process(currentprocess.name, currentprocess.time, currentprocess.finishTime));
                time += this.quantum;
            }
            list.remove(0);
        }
        for (Process process : finishlist) {
            System.out.println(process.name + " " + process.finishTime);
        }
    }

    public static void main(String[] args) {
        Main cui = new Main();
        cui.go();
    }
}
