// file changed
package p02264.s748261471;


import java.util.ArrayDeque;
import java.util.Scanner;


public class Main {

	static class MyProcess {

		String qName;
		int needTime;
		int finTime = 0;

		public int getFinTime() {
			return finTime;
		}

		public String getqName() {
			return qName;
		}

		public int getNeedTime() {
			return needTime;
		}

		public void setNeedTime(int needtime) {
			this.needTime = needtime;
		}

		public void setFinTime(int fintime) {
			this.finTime = fintime;
		}

		MyProcess(String qname, int needtime, int fintime) {
			this.qName = qname;
			this.needTime = needtime;
			this.finTime = fintime;

		}

	}

	public static void main(String[] args) {

		Scanner sc = new Scanner(System.in);
		int n = sc.nextInt(), qtime = sc.nextInt();
		int totaltime = 0;

		MyProcess[] mps = new MyProcess[n];

		for (int i = 0; i < n; i++) {
			mps[i] = new MyProcess(sc.next(), sc.nextInt(), 0);
		}

		java.util.Queue<MyProcess> q = new ArrayDeque<MyProcess>();
		for (int i = 0; i < n; i++) {
			q.add(mps[i]);
		}

		while (q.peek() != null) {
			MyProcess mp = q.poll();
			int needtime = mp.getNeedTime();
			String pname = mp.getqName();
			if (needtime <= qtime) {
				totaltime += needtime;
				mp.setFinTime(totaltime);
				System.out.println(mp.getqName() +" "+ mp.getFinTime());
			} else {
				q.add(new MyProcess(pname, needtime - qtime, 0));
				totaltime += qtime;
			}
		}
	}


}

