// file changed
package p02268.s015319026;


import java.util.Scanner;

/**
 * Created by zhangrunfeng on 2/17/20
 */

public class Main {
    private int N;
    private int[] increArr;

    private int Q;
    private int[] arrQ;

    public Main (Scanner sc) {
        N = sc.nextInt();
        increArr = new int[N];
        for (int i = 0; i < N; i++) {
            increArr[i] = sc.nextInt();
        }

        Q = sc.nextInt();
        arrQ = new int[Q];
        for (int i = 0; i < Q; i++) {
            arrQ[i] = sc.nextInt();
        }
    }

    private boolean binarySearch(int targetval) {
        int leftix = 0, rightidx = N-1;
        while (leftix <= rightidx) {
            int midix = leftix + (rightidx - leftix) / 2;
            if (increArr[midix] == targetval) {
                return true;
            } else if (increArr[midix] > targetval) {
                rightidx = midix - 1;
            } else {
                leftix = midix + 1;
            }
        }
        return false;
    }

    public int countQinN() {
        int count = 0;
        for (int targetval : arrQ) {
            if (binarySearch(targetval)) {
                count++;
            }
        }
        return count;
    }

    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);
        Main m = new Main(sc);
        int res = m.countQinN();
        System.out.println(res);
    }
}
