// file changed
package p02268.s071193681;


import java.util.*;

class Main {
    public static void main(String[] args) {
        new Main().main();
    }

    public void main() {
        Scanner scanner = new Scanner(System.in);

        int snum = Integer.parseInt(scanner.nextLine());
        String[] sline = scanner.nextLine().split(" ", snum);
        int[] s = new int[snum];
        for (int i = 0; i < snum; i++) {
            s[i] = Integer.parseInt(sline[i]);
        }

        int tnum = Integer.parseInt(scanner.nextLine());
        String[] tline = scanner.nextLine().split(" ", tnum);

        int result = 0;
        for (int i = 0; i < tnum; i++) {
            int t = Integer.parseInt(tline[i]);
            if (this.binarySearch(t, s)) {
                result++;
            }
        }
        System.out.println(result);
    }

    private boolean binarySearch(int key, int[] arr) {
        int left = 0;
        int right = arr.length - 1;

        while (true) {
            int middle = (left + right) / 2;
            if (middle == left || middle == right) {
                return key == arr[left] || key == arr[right];
            }

            if (key == arr[middle]) {
                return true;
            } else if (key < arr[middle]) {
                right = middle;
            } else {
                left = middle;
            }
        }
    }
}

