// file changed
package p02268.s584736346;


import java.io.*;
import java.util.*;

class Main{
    public static void main(String[] args) throws Exception{
	int[] s;
	int[] t;
	int i = 0;
	int j = 0;
	int found = 0;

	BufferedReader br = new BufferedReader(new InputStreamReader(System.in));

	String str_n = br.readLine();
	String str_s = br.readLine();//data_and_key
	String str_q = br.readLine();
	String str_t = br.readLine();//key_stack

	int n = Integer.parseInt(str_n);
	int q = Integer.parseInt(str_q);
	s = new int[n+1];//S[n] = key
	t = new int[q];

	Scanner sc_s = new Scanner(str_s).useDelimiter("\\s* \\s*");
	Scanner sc_t = new Scanner(str_t).useDelimiter("\\s* \\s*");

	while(sc_s.hasNext()){
	    s[i] = sc_s.nextInt();
	    i++;
	}

	while(sc_t.hasNext()){
	    t[j] = sc_t.nextInt();
	    j++;
	}

	found = binarySearch(n,s,q,t);

	System.out.println(found);

	sc_s.close();
	sc_t.close();
	
    }

    private static int binarySearch(int n,int s[], int q, int t[]){
	int found_count = 0;
	
	for(int j=0;j<t.length;j++){
	    int left = 0;
	    int right = n;
	    int key = t[j];
	    
	    while(left<right){
		int mid = (left + right)/2;
		if(s[mid] == key){
		    found_count++;
		    break;
		}
		else if(key < s[mid]) right = mid;
		else left = mid + 1;
	    }
	}
	return found_count;
    }
}

