// file changed
package p02268.s642106943;


import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.Arrays;

public class Main {

	public static final int BIG_NUM  = 2000000000;
	public static final int MOD  = 1000000007;

	public static void main(String[] args) {

		BufferedReader br = new BufferedReader(new InputStreamReader(System.in));

		try {
			int n = Integer.parseInt(br.readLine());
			String input[] = new String[n];
			input = br.readLine().split("\\s+");

			int s[] = new int[n];
			for(int i = 0; i < input.length; i++){
				s[i] = Integer.parseInt(input[i]);
			}

			int q = Integer.parseInt(br.readLine());
			String inputq[] = new String[q];
			inputq = br.readLine().split("\\s+");

			int t[] = new int[q];
			for(int i = 0; i < inputq.length; i++){
				t[i] = Integer.parseInt(inputq[i]);
			}

			Arrays.sort(t);

			int ans = 0;
			int left = 0,right,m;

			for(int i = 0; i < t.length; i++){
				right = s.length-1;
				m = (left+right)/2;

				while(left <= right){
					if(s[m] == t[i]){
						ans++;
						left = m;
						break;
					}else if(s[m] > t[i]){
						right = m-1;
					}else{
						left = m+1;
					}
					m = (left+right)/2;
				}
			}

			System.out.println(ans);

		} catch (NumberFormatException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
}

