// file changed
package p02268.s976054181;


import java.io.*;
import java.util.*;

public class Main {

    public static void main(String[] args) throws Exception {
        FastScanner sc = new FastScanner(System.in);
        int n = sc.nextInt();
        int[] s = new int[n];
        for(int i=0; i<n; i++)  s[i] = sc.nextInt();
        int q = sc.nextInt();
        int[] t = new int[q];
        for(int i=0; i<q; i++) t[i] = sc.nextInt();
        int ans = 0;
        for(int key:t){
            if(binarySearch(s, key)) ans++;
        }
        System.out.println(ans);

    }
    public static boolean binarySearch(int[] a, int key){
        int left = 0;
        int right = a.length;
        while(left < right){
            int mid = (left + right) /2;
            if(a[mid] == key){
                return true;
            }else if(key < a[mid]){
                right = mid;
            }else{
                left = mid + 1;
            }

        }
        return false;
    }


    static class FastScanner {
        private BufferedReader reader = null;
        private StringTokenizer tokenizer = null;

        public FastScanner(InputStream in) {
            reader = new BufferedReader(new InputStreamReader(in));
            tokenizer = null;
        }

        public String next() {
            if (tokenizer == null || !tokenizer.hasMoreTokens()) {
                try {
                    tokenizer = new StringTokenizer(reader.readLine());
                } catch (IOException e) {
                    throw new RuntimeException(e);
                }
            }
            return tokenizer.nextToken();
        }

        public String nextLine() {
            if (tokenizer == null || !tokenizer.hasMoreTokens()) {
                try {
                    return reader.readLine();
                } catch (IOException e) {
                    throw new RuntimeException(e);
                }
            }

            return tokenizer.nextToken("\n");
        }

        public long nextLong() {
            return Long.parseLong(next());
        }

        public int nextInt() {
            return Integer.parseInt(next());
        }

    }
}

